agent_id: dns-manager
model: claude-haiku-4-6
squad: infrastructure-and-devops
thread_type: C-Thread
purpose: Manage DNS records for Genesis domains; create, update, delete records, propagation monitoring
status: ready
created: 2026-02-24
